org.apache.solr.search.join

## Class GraphQuery.GraphQueryWeight

- java.lang.Object
- - org.apache.lucene.search.Weight
  - - org.apache.solr.search.join.GraphQuery.GraphQueryWeight

- Enclosing class:
    GraphQuery

      protected class GraphQuery.GraphQueryWeight
      extends Weight

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.Weight

      `Weight.DefaultBulkScorer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.Weight

      `parentQuery`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphQueryWeight(SolrIndexSearcher searcher)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.solr.search.join.FrontierQuery` | `buildFrontierQuery(BytesRefHash collectorTerms, Integer frontierSize)` This return a query that represents the documents that match the next hop in the query.
    `Explanation` | `explain(LeafReaderContext context, int doc)`
    `void` | `extractTerms(Set<Term> terms)`
    `float` | `getValueForNormalization()`
    `void` | `normalize(float norm, float topLevelBoost)`
    `Scorer` | `scorer(LeafReaderContext context)`

    - ### Methods inherited from class org.apache.lucene.search.Weight

      `bulkScorer, getQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphQueryWeight

          public GraphQueryWeight(SolrIndexSearcher searcher)

  - ### Method Detail

    - #### explain

          public Explanation explain(LeafReaderContext context,
                                     int doc)
                              throws IOException

      Specified by:
        `explain` in class `Weight`
      Throws:
        `IOException`

    - #### getValueForNormalization

          public float getValueForNormalization()
                                         throws IOException

      Specified by:
        `getValueForNormalization` in class `Weight`
      Throws:
        `IOException`

    - #### normalize

          public void normalize(float norm,
                                float topLevelBoost)

      Specified by:
        `normalize` in class `Weight`

    - #### buildFrontierQuery

          public org.apache.solr.search.join.FrontierQuery buildFrontierQuery(BytesRefHash collectorTerms,
                                                                              Integer frontierSize)

      This return a query that represents the documents that match the next hop in the query. collectorTerms - the terms that represent the edge ids for the current frontier. frontierSize - the size of the frontier query (number of unique edges)

    - #### scorer

          public Scorer scorer(LeafReaderContext context)
                        throws IOException

      Specified by:
        `scorer` in class `Weight`
      Throws:
        `IOException`

    - #### extractTerms

          public void extractTerms(Set<Term> terms)

      Specified by:
        `extractTerms` in class `Weight`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.